Trades

Get recent trade history for any market

Get Trades

GET

Retrieve recent trades for a market, showing actual executed transactions.

GET /api/v1/markets/{id}/trades

Path Parameters

ParameterTypeDescription
idstringMarket UUID

Query Parameters

ParameterTypeDefaultDescription
limitnumber50Number of trades (max 200)

Example

curl -H "Authorization: Bearer or_live_xxx" \
  "https://api.tessradar.com/api/v1/markets/{id}/trades?limit=10"

Response

{
  "data": {
    "marketId": "e4ec57b5-94d1-4159-87c0-5bb6827928f7",
    "question": "Will Bitcoin reach $100k by end of 2026?",
    "exchange": "POLYMARKET",
    "trades": [
      {
        "id": "trade-12345",
        "timestamp": "2026-01-11T11:58:32.000Z",
        "side": "BUY",
        "outcome": "Yes",
        "price": 0.655,
        "size": 500,
        "fee": 0.50
      },
      {
        "id": "trade-12344",
        "timestamp": "2026-01-11T11:57:15.000Z",
        "side": "SELL",
        "outcome": "Yes",
        "price": 0.652,
        "size": 1200,
        "fee": 1.20
      },
      {
        "id": "trade-12343",
        "timestamp": "2026-01-11T11:55:48.000Z",
        "side": "BUY",
        "outcome": "No",
        "price": 0.348,
        "size": 800,
        "fee": 0.80
      }
    ],
    "pagination": {
      "hasMore": true,
      "nextCursor": "trade-12342"
    }
  }
}

Trade Fields

FieldTypeDescription
idstringUnique trade identifier
timestampstringTrade execution time (ISO 8601)
sidestringBUY or SELL
outcomestringWhich outcome was traded (Yes/No)
pricenumberExecution price (0-1)
sizenumberTrade size in USD
feenumberTransaction fee in USD

Cost: 1 credit per request

Trade data is sourced from Polymarket's public Data API and Kalshi's trades endpoint.

On this page